import React from "react";
import "./style.css";

const ChatBoxMessages = (props) => {
  return (
    <div className="chatbox__messages">
      {props.messages.map((item, index) => (
        <div
          key={index}
          className={`messages__item ${
            item.name === "Sam"
              ? "messages__item--visitor"
              : "messages__item--operator"
          }`}
        >
          {item.message}
        </div>
      ))}
    </div>
  );
};

export default ChatBoxMessages;

